Summary: a good looking, powerful, and usable file manager for Linux
Name: efm-test
Version: 0.0.0
Release: 1
Copyright: GPL
Packager: Danny Sung <dannys@mail.com>
#Vendor: 
Group: User Interface/Desktops
URL: http://www.enlightenment.org/efm.html
Source: http://www.enlightenment.org/files/efm-test-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: /tmp/%{name}-%{version}-root

%description
EFM's current goal is to fill the void of a good looking powerful and
usable file manager for Linux

%prep

%setup

%build
make \
   BINARY_DESTINATION=%{_prefix}/bin \
   DATA_DESTINATION=%{_prefix}/share/efm \
   optimized e

%install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_configuration
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_fonts
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_geometry
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_icons
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_images
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_images/backgrounds
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_images/widgets
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_images/widgets/scrollbar_v
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/efm/system_images/widgets/scrollbar_h

make \
   BINARY_DESTINATION=${RPM_BUILD_ROOT}%{_prefix}/bin \
   DATA_DESTINATION=${RPM_BUILD_ROOT}%{_prefix}/share/efm \
   install

install -m755 build_base_db.sh  ${RPM_BUILD_ROOT}%{_prefix}/bin
install -m755 e_db_ed ${RPM_BUILD_ROOT}%{_prefix}/bin

%post

%postun

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/efm
%{_prefix}/bin/build_base_db.sh
%{_prefix}/bin/e_db_ed
%{_prefix}/share/efm/system_configuration/*
%{_prefix}/share/efm/system_fonts/*
%{_prefix}/share/efm/system_geometry/*
%{_prefix}/share/efm/system_icons/*
%{_prefix}/share/efm/system_images/backgrounds/*
%{_prefix}/share/efm/system_images/widgets/*png
%{_prefix}/share/efm/system_images/widgets/scrollbar_v/*png
%{_prefix}/share/efm/system_images/widgets/scrollbar_h/*png

%dir %{_prefix}/share/efm/system_configuration
%dir %{_prefix}/share/efm/system_fonts
%dir %{_prefix}/share/efm/system_geometry
%dir %{_prefix}/share/efm/system_icons
%dir %{_prefix}/share/efm/system_images
%dir %{_prefix}/share/efm/system_images/backgrounds
%dir %{_prefix}/share/efm/system_images/widgets
%dir %{_prefix}/share/efm/system_images/widgets/scrollbar_v
%dir %{_prefix}/share/efm/system_images/widgets/scrollbar_h

